; TIP1038.LSP: GMTAGS.LSP    Globally Modify Tag Values   
;                             (c)1994, Ed Gyulai

;; Globally Modifies Tag Values, All Blocks
;;=========================================================== 
(defun C:GMTAGS ( / tagname newv ss1 len count bn en el found)
 (setq tagname (getstring T "Enter Tag Name: ")
       newv (getstring T "Globally Change Value to:  "))
;=================create selection set=======================
   (setq ss1 (ssget "x" '((0 . "insert") (66 . 1)))
         len (sslength ss1)
         count 0)
 (repeat len
   (setq bn (ssname ss1 count)             ;Block Name
         en (entnext bn)                   ;Entity Name
         el (entget en))                   ;Entity List
;=================loop thru block entities===================
  (while (and (= "ATTRIB" (dxf 0 el))
              (/= "SEQEND" (dxf 0 el)))
    (if (= (dxf 2 el) (strcase tagname))
         (progn
           (setq el (subst (cons 1 newv) (assoc 1 el) el))
            (entmod el)                    ;Modify List
            (entupd bn)                    ;Update Screen
            (setq found "yes")             ;Found Tag?
         )                                 ;progn
     )                                     ;if
         (setq en (entnext en)
               el (entget en))
  )                                        ;while
  (setq count (1+ count))
 )                                         ;repeat
 (if (/= found "yes")
     (princ "\nTag Not Found.")
 )
     (princ)
);defun gmtags.lsp
;======================dxf function==========================
(defun dxf (code elist)
      (cdr (assoc code elist))
);dxf
(princ)
;============================================================

